Package org.apache.calcite.avatica.remote

## Class ClientKeytabJaasConf

- java.lang.Object
- - javax.security.auth.login.Configuration
  - - org.apache.calcite.avatica.remote.ClientKeytabJaasConf

    public class ClientKeytabJaasConf
    extends javax.security.auth.login.Configuration

Javax Configuration class which always returns a configuration for our keytab-based login suitable for callers which are acting as initiators (e.g. a client).

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.security.auth.login.Configuration

`javax.security.auth.login.Configuration.Parameters`

### Field Summary

Fields
`private java.lang.String` `keytab`
`private static org.slf4j.Logger` `LOG`
`private java.lang.String` `principal`

### Constructor Summary

Constructors
`ClientKeytabJaasConf​(java.lang.String principal, java.lang.String keytab)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.security.auth.login.AppConfigurationEntry[]` `getAppConfigurationEntry​(java.lang.String name)`

### Methods inherited from class javax.security.auth.login.Configuration

`getConfiguration, getInstance, getInstance, getInstance, getParameters, getProvider, getType, refresh, setConfiguration`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOG

    private static final org.slf4j.Logger LOG

#### principal

    private final java.lang.String principal

#### keytab

    private final java.lang.String keytab

### Constructor Detail

#### ClientKeytabJaasConf

    public ClientKeytabJaasConf​(java.lang.String principal,
                                java.lang.String keytab)

### Method Detail

#### getAppConfigurationEntry

    public javax.security.auth.login.AppConfigurationEntry[] getAppConfigurationEntry​(java.lang.String name)

Specified by:
  `getAppConfigurationEntry` in class `javax.security.auth.login.Configuration`